Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.cs.api
Interface CompletedResultRecord

All Superinterfaces:
  java.io.Serializable

    public interface CompletedResultRecord

extends java.io.Serializable

This `CompletedResultRecord` represents a completed result for one format.
We can get instances of this interface through calling `CompletedPublishRecord.getResults()`.

See Also:
  `CompletedPublishRecord`

Field Summary
`static int` | `STATUS_FAILED` Indicates the status of the result is failed.
`static int` | `STATUS_NOTRUN` Indicates the status of the result is not run, which means the task failed before running in this format.
`static int` | `STATUS_SUCCESSFUL` Indicates the status of the result is successful.

Method Summary
`java.lang.String` | `getDetail()` Returns detailed information of the result.
`int` | `getStatus()` Returns the status of the result, which can be STATUS_SUCCESSFUL, STATUS_FAILED, or STATUS_NOTRUN.
`java.lang.String` | `getType()` Returns the result format type, which can be DHTML Result, Result, HTML, PDF, Text, Excel, PostScript, Rich Text Format or XML.

Field Detail

### STATUS_FAILED

    static final int STATUS_FAILED

  Indicates the status of the result is failed.

  See Also:
    Constant Field Values

### STATUS_SUCCESSFUL

    static final int STATUS_SUCCESSFUL

  Indicates the status of the result is successful.

  See Also:
    Constant Field Values

### STATUS_NOTRUN

    static final int STATUS_NOTRUN

  Indicates the status of the result is not run, which means the task failed before running in this format.

  See Also:
    Constant Field Values

Method Detail

### getType

    java.lang.String getType()

  Returns the result format type, which can be DHTML Result, Result, HTML, PDF, Text, Excel, PostScript, Rich Text Format or XML.

  Returns:
    String type of result format, which can be DHTML Result, Result, HTML, PDF, Text, Excel, PostScript, Rich Text Format or XML.

### getStatus

    int getStatus()

  Returns the status of the result, which can be STATUS_SUCCESSFUL, STATUS_FAILED, or STATUS_NOTRUN.
  If and only if the status is STATUS_SUCCESSFUL, the detailed information is meaningful.

  Returns:
    the int status of the result, which can be STATUS_SUCCESSFUL, STATUS_FAILED, or STATUS_NOTRUN.

### getDetail

    java.lang.String getDetail()

  Returns detailed information of the result.

  Returns:
    detailed information string. The meaning of the details depends on the publish type (`CompletedPublishRecord.getType()`):
    - APIConst.TAG_TO_DISK: result fileName.
    - APIConst.TAG_TO_VERSION: result version id.
    - APIConst.TAG_TO_MAIL, APIConst.TAG_TO_FAX, APIConst.TAG_TO_PRINTER, APIConst.TAG_TO_FTP: summary tip information.
  See Also:
    `getStatus()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD